1. Abandoned Cart
Tjar
  • 🗂️ Overview
  • 🚀 Start Here
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Order Statuses
      GET
    • Create Order
      POST
    • Change Order Status
      POST
  • Products
    • Digital
      • Create Digital Product
      • Get Digital Product Details
      • Update Digital Product
    • Booking
      • Get Booking Product Details
      • Create Booking Product
      • Update Booking Product
    • Service
      • Get Service Product
      • Create Service Product
      • Update Service Product
    • List All Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
    • Update Product
      PATCH
    • Delete Product
      DELETE
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  • Webhook
    • List Webhooks
      GET
    • Register Webhook
      POST
    • Update Webhook
      PUT
    • Delete Webhook
      DELETE
    • Verify Signature
      POST
    • Refresh Secret
      POST
    • Webhook Events
      GET
  • Abandoned Cart
    • List Abandoned Carts
      GET
    • Get Abandoned Cart Details
      GET
    • Send Reminder
      POST
  1. Abandoned Cart

List Abandoned Carts

Developing
GET
/abandoned-carts
Last modified:2026-04-03 18:45:15

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/abandoned-carts?products_count=3&date_from=2026-04-01' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": "success",
    "message": "Abandoned carts retrieved successfully",
    "data": {
        "carts": [
            {
                "id": null,
                "identifier": "2",
                "store_id": "b56tf",
                "session_id": "2",
                "url": "https://b56tf.store.test/checkout/fromBasket/2",
                "cart_id": null,
                "order_id": null,
                "phase": "abandoned",
                "customer": {
                    "id": 2,
                    "name": "Guest",
                    "email": "guest1744820476@mail.com",
                    "mobile": "966123344",
                    "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
                },
                "city_id": null,
                "products_count": 2,
                "reminders_count": 0,
                "cart_total": 59.97,
                "cart_total_string": "59.97 <sar></sar>",
                "whatsapp_message": "Hi Guest, you left items in your cart worth 59.97 <sar></sar>. Complete your purchase now: https://b56tf.store.test/checkout/fromBasket/2",
                "created_at": "2026-04-03 21:36:56",
                "updated_at": "2026-04-03 21:36:56",
                "last_activity": "7 minutes ago",
                "source": "catalog"
            }
        ],
        "summary": {
            "total_carts": 3,
            "total_value": 72.97,
            "total_value_string": "72.97 <sar></sar>"
        },
        "pagination": {
            "total": 1,
            "current_page": 1,
            "last_page": 1,
            "per_page": 15,
            "next_page_url": null,
            "prev_page_url": null
        }
    }
}
Modified at 2026-04-03 18:45:15
Previous
Webhook Events
Next
Get Abandoned Cart Details
Built with